2016-12-10 23:16 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003767unrealinstallingpublic2009-01-04 15:10
ReporterBock 
Assigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformi386OSmac os xOS Version10.5.6
Product Version3.2.8 
Target VersionFixed in Version3.2.8 
Summary0003767: not compiling on macos x
Descriptioncc -I../include -I/Users/jimflaten/Desktop/unreal-src/extras/regexp/include -I/Users/jimflaten/Desktop/unreal-src/extras/c-ares/include -L../extras/c-ares/lib -pipe -g -O2 -funsigned-char -fno-strict-aliasing -Wno-pointer-sign -c s_bsd.c
s_bsd.c: In function 'init_sys':
s_bsd.c:644: error: too many arguments to function 'setpgrp'
make[1]: *** [s_bsd.o] Error 1
make: *** [build] Error 2
TagsNo tags attached.
3rd party modules
Attached Files

-Relationships
+Relationships

-Notes

~0015581

syzop (administrator)

Could you change, in src/s_bsd.c around line 641:
#if defined(HPUX) || defined(_SOLARIS) || \
    defined(_POSIX_SOURCE) || defined(SVR4) || defined(SGI)
to:
#if defined(HPUX) || defined(_SOLARIS) || \
    defined(_POSIX_SOURCE) || defined(SVR4) || defined(SGI) || defined(OSXTIGER)

And re-run 'make', see if that helps.

Thanks :)

~0015602

syzop (administrator)

I've changed this in CVS, but I don't know if it really is the fix...

Anyway, try latest cvs or http://www.vulnscan.org/UnrealIRCd/cvs/Unr3.2-20090103.tar.gz

~0015614

Jckf (reporter)

That fixed it =) Thanks.

~0015617

syzop (administrator)

Ok
+Notes

-Issue History
Date Modified Username Field Change
2009-01-03 12:45 Bock New Issue
2009-01-03 13:20 syzop Note Added: 0015581
2009-01-03 15:39 syzop Note Added: 0015602
2009-01-04 14:38 Jckf Note Added: 0015614
2009-01-04 15:10 syzop QA => Not touched yet by developer
2009-01-04 15:10 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-01-04 15:10 syzop Status new => resolved
2009-01-04 15:10 syzop Fixed in Version => 3.2.8
2009-01-04 15:10 syzop Resolution open => fixed
2009-01-04 15:10 syzop Assigned To => syzop
2009-01-04 15:10 syzop Note Added: 0015617
+Issue History